<!--  
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------
//*
-->

<%@ page language="JAVA" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="java.util.*" %>

<%
JSPResourceBundle myResourceBundle = null;
try {
	myResourceBundle = new JSPResourceBundle(java.util.ResourceBundle.getBundle("GenericSystemError"));
} catch (java.util.MissingResourceException mre) {
	myResourceBundle = new JSPResourceBundle();
}
%>

<% response.setContentType("text/html;charset=UTF-8"); %>
<% response.setHeader("Pragma", "No-cache");           %>
<% response.setDateHeader("Expires", 0);               %>
<% response.setHeader("Cache-Control", "no-cache");    %>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<head>
	<title>
		<%= myResourceBundle.getString("title") %>
	</title>
</head>
<BODY>
<% 
try {
	ErrorDataBean errorBean = new ErrorDataBean ();
	com.ibm.commerce.beans.DataBeanManager.activate (errorBean, request);
	System.out.println ("ErrorDataBean:\n" + errorBean.toString()+"\n");
%>
<H1>
	<%= myResourceBundle.getString("head1") %>
</H1>

<BR>

<TABLE border=2 ROWS=2 COLS=4 bordercolor="#98d3ec">
	<TR bgcolor="#98d3ec">
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("table_col1") %></FONT>
		</TH>
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("table_col2") %></FONT>
		</TH>
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("table_col3") %></FONT>
		</TH>
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("table_col4") %></FONT>
		</TH>
	</TR>
	<TR>
		<TD><CENTER><%= errorBean.getExceptionType()%></CENTER></TD>
		<TD><CENTER><%= errorBean.getMessageKey() %></CENTER></TD>
		<TD>
			<TABLE border="0">
				<TR>
					<TH><%= myResourceBundle.getString("userHeader") %></TH>
					<TD><%= errorBean.getMessage() %></TD>
				</TR>
				<TR>
					<TH><%= myResourceBundle.getString("systemHeader") %></TH>
					<TD><%= errorBean.getSystemMessage() %></TD>
				</TR>
			</TABLE>
		</TD>
		<TD><CENTER><%= errorBean.getOriginatingCommand() %></CENTER></TD>
	</TR>
</TABLE>

<br>
<br>
<HR>

<%
TypedProperty nvps = errorBean.getExceptionData();
if (nvps != null) {
	Enumeration en = nvps.keys();
%>
<CENTER>
<TABLE border=2 bordercolor="#98d3ec">
	<TR bgcolor="#98d3ec">
			<TH colspan="2">
				<FONT SIZE=+1><%= myResourceBundle.getString("exceptionDataHeader") %></FONT>
			</TH>
	</TR>
	<TR bgcolor="#98d3ec">
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("nameHeader") %></FONT>
		</TH>
		<TH>
			<FONT SIZE=+1><%= myResourceBundle.getString("valueHeader") %></FONT>
		</TH>
	</TR>
<%
while(en.hasMoreElements()) {
	String name = (String)en.nextElement();
%>
	<TR>
		<TD><CENTER><%= name %></CENTER></TD>
		<TD><CENTER><%= nvps.getString(name, "") %></CENTER></TD>
	</TR>
<% } %>
</TABLE>
</CENTER>
<% } %>

<br>
<br>
<HR>

<%= errorBean.getStackTrace() %><br> 

<%
} catch (Exception e) {
	System.out.println (" Got exception..");
      
	e.printStackTrace();
}

%>

</BODY>
</HTML>
