<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<%
JSPHelper jhelper = new JSPHelper(request);
String storeId = request.getParameter("storeId");
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String orderRn = request.getParameter("orderId");
String state = request.getParameter("page");

//Parameters may be encrypted.
if (catalogId == null)
{
	String [] arrcatalogId = ((String[]) request.getAttribute("catalogId"));
	if (arrcatalogId != null) catalogId = arrcatalogId[0];

}
if (storeId == null)
{	
	String [] arrstoreId = ((String[]) request.getAttribute("storeId"));
	if (arrstoreId != null) storeId = arrstoreId[0];

}
if (languageId == null)
{
	String [] arrlanguageId = ((String[]) request.getAttribute("langId"));
	if (arrlanguageId != null) languageId = arrlanguageId[0];

}
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}
if (state == null)
{
	String [] arrstate = (String []) request.getAttribute("page");
	if (arrstate != null) state = arrstate[0];
}
%>

<%
String strErrorMessage = null;
String strErrorCode = "";
String addressId = request.getParameter("addressId");
boolean bUpdateAddress;

if (addressId != null)
	bUpdateAddress = true;
else
	bUpdateAddress = false;

//Get the user reference number.
CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRef = commandContext.getUserId();

String strAddressId;
String strNickName;
String strAddressType;
String strPrimary;
String strLastName;
String strFirstName;
String strAddrLn1;
String strAddrLn2;
String strCity;
String strState;
String strZipCode;
String strCountry;
String strDayPhone;
%>
<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<jsp:useBean id="bnAddressDisplay" class="com.ibm.commerce.user.beans.AddressDataBean" scope="page">
<% 
bnAddressDisplay.setAddressId(addressId);
com.ibm.commerce.beans.DataBeanManager.activate(bnAddressDisplay, request); 
%>
</jsp:useBean>

<%
TypedProperty hshErrorProperties = bnError.getExceptionData();

if (hshErrorProperties != null)
{
	//There is an error in the submitted address.
	strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_NICKNAME))
		strErrorMessage = "Sorry, you must fill in Nick Name field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_NICKNAME_EXISTS))
		strErrorMessage = "Sorry, the nick name you input already exisits, please enter a different one.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
		strErrorMessage = "Type a name in the Last name field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_ADDRESS1))
		strErrorMessage = "Type an address in the Street address field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_CITY))
		strErrorMessage = "Type a city name in the City field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_STATE))
		strErrorMessage = "Type a state name in the State field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_COUNTRY))
		strErrorMessage = "Type a country name in the Country field.";
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_ZIPCODE))
		strErrorMessage = "Type a ZIP or postal code in the ZIP code/Postal code field.";

	//In case of error we get the entered data from the URL parameters.
	strAddressId = request.getParameter("addressId");
	strNickName = request.getParameter("nickName");
	strAddressType = request.getParameter("addressType");
	strPrimary = request.getParameter("primary");
	strLastName = jhelper.htmlTextEncoder(request.getParameter("lastName"));
	strFirstName = jhelper.htmlTextEncoder(request.getParameter("firstName"));
	strAddrLn1 = jhelper.htmlTextEncoder(request.getParameter("address1"));
	strAddrLn2 = jhelper.htmlTextEncoder(request.getParameter("address2"));
	strCity = jhelper.htmlTextEncoder(request.getParameter("city"));
	strState = jhelper.htmlTextEncoder(request.getParameter("state"));
	strZipCode = jhelper.htmlTextEncoder(request.getParameter("zipCode"));
	strCountry = jhelper.htmlTextEncoder(request.getParameter("country"));
	strDayPhone = jhelper.htmlTextEncoder(request.getParameter("phone1"));
}
else
{
	//We are trying to either add or update an address.
	if (bUpdateAddress)
	{
		//We are updating address.
		if (!bnAddressDisplay.findAddress())
			throw new Exception("Bad address reference number");
		strAddressId = bnAddressDisplay.getAddressId();
		strNickName = bnAddressDisplay.getNickName();
		strAddressType = bnAddressDisplay.getAddressType();
		strPrimary = bnAddressDisplay.getPrimary();
		strLastName = jhelper.htmlTextEncoder(bnAddressDisplay.getLastName());
		strFirstName = jhelper.htmlTextEncoder(bnAddressDisplay.getFirstName());
		strAddrLn1 = jhelper.htmlTextEncoder(bnAddressDisplay.getAddress1());
		strAddrLn2 = jhelper.htmlTextEncoder(bnAddressDisplay.getAddress2());
		strCity = jhelper.htmlTextEncoder(bnAddressDisplay.getCity());
		strState = jhelper.htmlTextEncoder(bnAddressDisplay.getState());
		strZipCode = jhelper.htmlTextEncoder(bnAddressDisplay.getZipCode());
		strCountry = jhelper.htmlTextEncoder(bnAddressDisplay.getCountry());
		strDayPhone = jhelper.htmlTextEncoder(bnAddressDisplay.getPhone1());
	}
	else
	{
		strAddressId = "";
		strNickName = "";
		strAddressType = "";
		strPrimary = "";
		strLastName = "";
		strFirstName = "";
		strAddrLn1 = "";
		strAddrLn2 = "";
		strCity = "";
		strState = "";
		strZipCode = "";
		strCountry = "";
		strDayPhone = "";
	}
}
%>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<SCRIPT language="javascript">
function prepareSubmit(form)
{
	var currenttime = new Date();
	var timestamp = currenttime.getTime();
	form.nickName.value = '<%=userRef%>_'+timestamp;
	form.submit();
}
</SCRIPT>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Address</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<table align="center" width="600">
  <tr><td>
<div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="4"><b>
<%
if (bUpdateAddress) {
%>
Update Address 
<%
} else {
%>
Add Address
<%
}
%>
</b></font></div>
<%
if (strErrorMessage != null)
{
	//We have an error message.
%>
<br><br>
      <p><font color="red"><%=strErrorMessage%></font><br>
        <%
}
if ( state == null)
{
%>
        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">This address 
        can be used as your shipping or billing address during chekout.</font><br><br>
        <%
}
%>
        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">Items marked 
        with a <font color="#FFCC33">*</font> are required.</font> 
        <!-- To avoid Studio link fixup problem set action as follows-->
        <br><br>
    <tr>
    <td>
<!-- To avoid Studio link fixup problem set action as follows-->
<FORM name="AddressForm" method="GET" action="<%="AddressAdd"%>">
<INPUT TYPE="hidden" NAME="storeId" VALUE="<%= storeId %>">
<INPUT TYPE="hidden" NAME="langId" VALUE="<%=languageId%>">
<INPUT TYPE="hidden" NAME="catalogId" VALUE="<%=catalogId%>">
<%
if (state == null)
{
%>
<INPUT TYPE="hidden" NAME="URL" VALUE="AddressBookForm">
<%
}	else if (state.equals("shipaddress"))
{
%>
<INPUT TYPE="hidden" NAME="URL" VALUE="OrderItemDisplay">
<INPUT TYPE="hidden" NAME="page" VALUE="shipaddress">
<INPUT TYPE="hidden" NAME="orderId" VALUE="<%=orderRn%>">
<%
}	else if (state.equals("billingaddress"))
{
%>
<INPUT TYPE="hidden" NAME="URL" VALUE="OrderItemDisplay">
<INPUT TYPE="hidden" NAME="page" VALUE="billingaddress">
<INPUT TYPE="hidden" NAME="orderId" VALUE="<%=orderRn%>">
<%
}
%>
<INPUT TYPE="hidden" NAME="addressType" VALUE="<%= ECUserConstants.EC_ADDR_RESIDENTIAL %>">
<INPUT TYPE="hidden" NAME="primary" VALUE="<%= ECUserConstants.EC_ADDR_PRIMARY_NO %>" >
<%
if (bUpdateAddress == true) {
%>	
<INPUT TYPE="hidden" NAME="addressId" VALUE="<%=strAddressId%>">
<INPUT TYPE="hidden" NAME="nickName" VALUE="<%=strNickName%>">
<%
} else {
%>
<INPUT TYPE="hidden" NAME="nickName" VALUE="">
<%
}
%>
<table cellpadding="3" cellspacing="0" border="0" width="90%" align="center">
<tr>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2">First 
            Name</font></td>
<td align="left" valign="middle" colspan="3">
<input size="38" maxlength="128" type="text" name="firstName" VALUE="<%= strFirstName %>"></td>
</tr><tr>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFCC33">*</font><font face="Verdana, Arial, Helvetica, sans-serif" size="2"> 
            Last Name</font></td>
<td align="left" valign="middle" colspan="3">
<input size="38" maxlength="128" type="text" name="lastName" value="<%= strLastName %>"></td>
</tr><tr>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFCC33">*</font><font face="Verdana, Arial, Helvetica, sans-serif" size="2"> 
            Street Address</font></td>
<td align="left" valign="middle" colspan="3">
<input size="38" maxlength="50" type="text" name="address1" VALUE="<%= strAddrLn1 %>" ></td>
</tr><tr>
<td align="left" valign="middle">&nbsp;</td>
<td align="left" valign="middle" colspan="3">
<input size="38" maxlength="50" type="text" NAME="address2" VALUE="<%= strAddrLn2 %>"></td>
</tr><tr>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFCC33">*</font> 
            <font face="Verdana, Arial, Helvetica, sans-serif" size="2">City</font></td>
<td align="left" valign="middle" colspan="3">
<input size="38" maxlength="50" type="text" NAME="city" VALUE="<%= strCity %>"></td>
</tr><tr>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFCC33">* 
            </font><font face="Verdana, Arial, Helvetica, sans-serif" size="2">State/Province</font></td>
<td align="left" valign="middle">
<input TYPE="text" maxlength="128" size="15" NAME="state" VALUE="<%= strState %>"></td>
          <td align="right" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFCC33">*</font> 
            Zip Code</td>
<td align="left" valign="middle">
<input size="8" maxlength="40" NAME="zipCode" VALUE="<%= strZipCode %>"></td>
</tr><tr>
          <td align="right" valign="middle"> <font size="2" face="Verdana, Arial, Helvetica, sans-serif" color="#FFCC33">* 
            </font><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Country</font></td>
<td align="left" valign="middle">
<input TYPE="text" size="15" maxlength="128" NAME="country" VALUE="<%= strCountry %>"></td>
<td align="right" valign="middle">
Phone Number (xxx-xxx-xxxx):</td>
<td align="left" valign="middle">
<input size="12" maxlength="32" NAME="phone1" VALUE="<%= strDayPhone %>"></td>
</tr>
<tr>
<td align="left" valign="top">
<font class="text">&nbsp;</font></td>
<td align="left" valign="top" class="categoryspace">

<table cellpadding="4" cellspacing="0" border="0">
<tr>
                <td align="left" valign="middle"> 
                  <%
if (bUpdateAddress == true) {
%>
                  <A href="javascript:document.AddressForm.submit()">Submit</a> 
                  <%
} else {
%>
                  <A href="javascript:prepareSubmit(document.AddressForm)">Submit</a> 
                  <%
}
%>
                </td>
              </tr></table>
</td></tr></table>
</form>
</td></tr>
</table>
</body>

</html>


