<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->

<%
// JSPHelper provides you with a easy way to retrieve 
//		URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String storeId = jhelper.getParameter("storeId");
String catalogId = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");
%>

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<%
String strErrorMessage = null;
String strErrorCode;
String strLogonID;
String strPassword;
String strLastName;
String strFirstName;

TypedProperty hshErrorProperties = bnError.getExceptionData();
if (hshErrorProperties != null)
{
	//There is an error in the form submission.
	//Get the values entered by the user and populate thr form.

	strLogonID = jhelper.htmlTextEncoder(jhelper.getParameter(ECUserConstants.EC_UP_LOGONID));
	strPassword = jhelper.getParameter(ECUserConstants.EC_UP_LOGPSWD);
	strLastName = jhelper.htmlTextEncoder(jhelper.getParameter(ECUserConstants.EC_ADDR_LASTNAME));
	strFirstName = jhelper.htmlTextEncoder(jhelper.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME));
	
	strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONID))
		strErrorMessage = "Type an e-mail address in the E-mail address field.";
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_LOGONID_EXISTS))
		strErrorMessage = "The e-mail address you entered already exists. Type a different e-mail address and try again.";

	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORD))
		strErrorMessage = "Type your password in Password field.";
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORDVERIFY))
		strErrorMessage = "Type your password in the Verify Password field.";
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_PASSWORDS_NOT_SAME))
		strErrorMessage = "The verify password you entered did not match your password. Type your password in the Verify Password field and try again.";

	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
		strErrorMessage = "Type a name in the Last name field.";
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_MISSING_LOGONPASSWORDVERIFY))
		strErrorMessage = "Type your password in the Verify Password field.";
}
else
{
	//Form is loading under normal condition.
	//Retrieve shopper's information and populate the form.
 %>

<jsp:useBean id="bnRegister" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
bnRegister.setProfileType("C");
com.ibm.commerce.beans.DataBeanManager.activate(bnRegister, request); 
%>
</jsp:useBean>

<%
	strLogonID = jhelper.htmlTextEncoder(bnRegister.getLogonId());
	strPassword = bnRegister.getLogonPassword();
	strFirstName = jhelper.htmlTextEncoder(bnRegister.getFirstName());
	strLastName = jhelper.htmlTextEncoder(bnRegister.getLastName());
}
%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Edit Registration</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css"></head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">


<!--
The following javascript prepares some name-value pairs before submission:
1) set the Email address to be always to Logon ID
2) if password and password_verify text fields are empty, set the fields with the values retrieved from RegisterDataBean
-->
<SCRIPT language="javascript">
function prepareSubmit(form)
{
	form.email1.value=form.logonId.value
	form.logonId.value = form.logonId.value.toLowerCase()
	
	if (form.logonPassword.value.length == 0)
	{
		form.logonPassword.value = '<%=strPassword%>'
	}
	if (form.logonPasswordVerify.value.length == 0)
	{
		form.logonPasswordVerify.value = '<%=strPassword%>'
	}
	form.submit()
}
</SCRIPT>


<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>

<td width="10" rowspan="10">&nbsp;</td>


<td align="left" valign="top" colspan="3" class="categoryspace">
<font class="category">Change your personal information</font>
<hr width="580" noshade align="left">
</td>
</tr><tr>



<td align="left" valign="top" width="400" class="topspace">
<%
if (strErrorMessage != null)
{
	//We have error message.
%>
<p><font color="red"><%=strErrorMessage%></font><br><br></p>
<%
}
%>
<!-- To avoid Studio link fixup problem set action as follows-->
<FORM name="Register" method=POST action="<%="UserRegistrationUpdate"%>">

<INPUT TYPE="hidden" NAME="langId" Value="<%=languageId%>">
<INPUT TYPE="hidden" NAME="storeId" Value="<%=storeId%>">
<INPUT TYPE="hidden" NAME="catalogId" Value="<%=catalogId%>">
<INPUT TYPE="hidden" NAME="URL" Value="LogonForm">
<INPUT TYPE="hidden" NAME="page" Value="account">
<INPUT TYPE="hidden" NAME="registerType" Value="R">
<INPUT TYPE="hidden" NAME="profileType" Value="C">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_EMAIL1%>" Value="">
<INPUT TYPE="hidden" NAME="preferredLanguage" Value="<%=languageId%>">
<INPUT TYPE="hidden" NAME="personTitle" Value="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_ADDRESS1%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_ADDRESS2%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_CITY%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_STATE%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_ZIPCODE%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_COUNTRY%>" VALUE="-">
<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_PHONE1%>" VALUE="-">

<table cellpadding="3" cellspacing="0" border="0" align="left">
<tr>
<td align="left" valign="top" colspan="2">
<font class="text">Need to change your name? Type your new name below:</font></td>
</tr>
<tr>
<td align="right" valign="middle">
<font class="strongtext">First Name:</font></td>
<td align="left" valign="middle">
<input size="25" maxlength="50" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" type="text" value="<%=strFirstName%>"></td>
</tr><tr>
<td align="right" valign="middle">
<font class="strongtext">Last Name:</font></td>
<td align="left" valign="middle">
<input size="25" maxlength="50" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" type="text" value="<%=strLastName%>"></td>
</tr>
<tr>
<td colspan="2"><font class="text">&nbsp;</font></td>
</tr>
<tr>
<td align="left" valign="top" colspan="2">
<font class="text">Need to change your e-mail address? Type your new address below:</font></td>
</tr>
<tr>
<td align="right" valign="middle">
<font class="strongtext">E-Mail:</font></td>
<td align="left" valign="middle">
<input size="25" maxlength="50" name="<%= ECUserConstants.EC_UREG_LOGONID%>" value="<%=strLogonID%>"></td>
</tr>
<tr>
<td colspan="2"><font class="text">&nbsp;</font></td>
</tr>
<tr>
<td align="left" valign="top" colspan="2">
<font class="text">Want to change your password? Type your new password twice below:</font></td>
</tr>
<tr>
<td align="right" valign="middle">
<font class="strongtext">Password:</font></td>
<td align="left" valign="middle">
<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>" type="password" value=""></td>
</tr><tr>
<td align="right" valign="middle">
<font class="strongtext">Verify Password:</font></td>
<td align="left" valign="middle">
<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>" type="password" value=""></td>
</tr>
<tr>
<td align="left" valign="top">
<font class="text">&nbsp;</font></td>
<td align="left" valign="top" class="categoryspace">
<table cellpadding="4" cellspacing="0" border="0">
<tr>
                  <td align="left" valign="middle"> 
                    <!--A href="javascript:document.AddressForm.submit()"><font class="strongtext">Submit</font></a></td-->
                    <A href="javascript:prepareSubmit(document.Register)"><font class="strongtext">Submit</font></a> 
                  </td>
</tr></table>
</td></tr></table>
</form>
</td>
</tr></table>

</body>
</html>
