<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>
<%

String lastCmdName =  cmdcontext.getCommandName().trim();
boolean isAddtoShopCartError = false;
String strErrorMessageKey = "";
String strErrorCode = "";
String strErrorMessage = null;
TypedProperty hshErrorProperties = bnError.getExceptionData();
strErrorMessageKey = bnError.getMessageKey().trim();
// If products are not available, the Error Data Bean will provide error information
// If errorCode is [1], it means no fulfillment center. Else, it means no inventory
if (hshErrorProperties != null && strErrorMessageKey.equals("_API_CANT_RESOLVE_FFMCENTER")) 
{
	strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "").trim();
	if (strErrorCode.equals("[1]"))
		strErrorMessage = "Your request cannot be completed, as one or more of the products you wish to purchase are not available at this time.";
	else if (strErrorCode.equals("[2]"))
		strErrorMessage = "Your request cannot be completed, as one or more of the products you wish to purchase are not available in the quantity you requested.";
	if (lastCmdName.equals("OrderItemAdd"))
	{
		/* 
		RESOLVE_FFMCENTER occurs and the error is from Add to Shopping Cart 
		in ProductDisplay.jsp (we only use OrderItemAdd in ProductDisplay.jsp)
		*/
		isAddtoShopCartError = true;
	}
}

if (isAddtoShopCartError)
{
	String errorfile = "/" + storeDir + "/InventoryError.jsp";
%>
	<jsp:include page="<%=errorfile%>"/>
<%
	return;
}

String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");

CommandContext commandContext = (CommandContext)
	request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRefNum = commandContext.getUserId();

//Parameters may be encrypted.
if (catalogId == null)
	catalogId = ((String[]) request.getAttribute("catalogId"))[0];
if (languageId == null)
	languageId = ((String[]) request.getAttribute("langId"))[0];
if (storeId == null)
	storeId = ((String[]) request.getAttribute("storeId"))[0];
%>

<%
//Retrieve shopping cart
TypedProperty requestProperty = (TypedProperty) 
	request.getAttribute(ECConstants.EC_REQUESTPROPERTIES);    	
String [] orderRefNum = (String[]) requestProperty.get(OrderConstants.EC_ORDER_ID, null);
OrderItemDataBean orderItem = null;
OrderItemDataBean [] orderItems = null;
%>

<%
/*
 * Recalculate order total using OrderPrepare command so that we can 
 * display the totals correctly.
 * This will also convert the shop cart to the currency currently in use.
 * If your store is single currency and don't need to display order total
 * in the shop cart you may want to remove the following lines and avoid running
 * OrderPrepare all the time.
 */
 
// execute controller command OrderPrepare
commandContext.setCommandName("OrderPrepare");
//construct iProperties with the appropriate info
TypedProperty iProperties = commandContext.getRequestProperties();
iProperties.putUrlParam("orderId", orderRefNum);
iProperties.putUrlParam("URL", "/");
ControllerCmdExecUnit execUnit = new ControllerCmdExecUnit("OrderPrepare", commandContext, iProperties);
execUnit.execute();
%>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<%
orderBean.setOrderId(orderRefNum[0]);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<%
//Get shop cart items.
orderItems = orderBean.getOrderItemDataBeans();
%>

<SCRIPT language="javascript">
function UpdateTotal(form)
{
	form.submit()
}

function UpdateTotal_Checkout(form)
{
	form.page.value='billingaddress'
	form.submit()
}
</SCRIPT>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Shopping Cart</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>
<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>

<!--MAIN CONTENT STARTS HERE-->
<center>
<table cellpadding="2" cellspacing="0" width="580" border="0">
<Form NAME="ShopCartForm" METHOD="POST" action="<%="OrderItemUpdate"%>">
<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="orderId" value="<%=orderBean.getOrderId()%>">
<input type=hidden name="catalogId" value="<%= catalogId %>">
<input type=hidden name="page" value="">
<input type=hidden name="URL" value="OrderItemDisplay">
<tr>
	<td align="left" valign="top" colspan="5" class="categoryspace" width="580">
		<font class="category">Shopping cart</font>
		<hr width="580" noshade align="left">
	</td>
</tr>
<tr>

<td align="left" colspan="5" valign="top" width="580">
<%
if (strErrorMessage != null)
{
	//We have error message.
%>
<p><font color="red"><%=strErrorMessage%></font><br><br></p>
<%
}
%>

<font class="product">Your cart contains:</font></td>

</tr><tr>
<td colspan="5" align="left" class="categoryspace" height="3" width></td>
</tr><tr>

      <td align="left" valign="top"> <font class="strongtext">Oty</font></td>

      <td align="left" valign="top" width="250"> <font class="strongtext">Item</font></td>

        <td align="right" valign="top" nowrap> <font class="strongtext">Price 
          per item</font></td>

      <td align="right" valign="top" width="120"> <font class="strongtext">Total</font></td>

      <td align="left" valign="top">&nbsp; </td>
</tr>

<%
//Display each line item.

for (int i = 0; i < orderItems.length; i++) {
	orderItem = orderItems[i];

%>
<tr>
<td align="left" valign="top">
<input type=hidden name="orderItemId_<%=i+1%>" value="<%=orderItem.getOrderItemId()%>" >  
<input size="2" name="quantity_<%=i+1%>" value="<%=orderItem.getQuantityInEJBType().intValue()%>" >
</td>

<td align="left" valign="middle" width="250">
<font class="text"><%=orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getShortDescription()%><br>
<%=orderItem.getCatalogEntry().getDescription(cmdcontext.getLanguageId()).getAuxDescription1()%>
</font></td>

<td align="right" valign="middle">
<font class="text"><%=orderItem.getPriceDataBean()%></font></td>

<td align="right" valign="middle" width="120">
<font class="text"><%=orderItem.getFormattedTotalProduct()%></font></td>

<td align="center" valign="middle">
<font class="text">&nbsp;&nbsp;&nbsp;&nbsp;<a href="OrderItemDelete?orderItemId=<%=orderItem.getOrderItemId()%>&URL=OrderItemDisplay&langId=<%=languageId%>&catalogId=<%=catalogId%>&storeId=<%=storeId%>&orderId=.">Remove item</a></font>
</td>
</tr>
<%
}
%>


<tr>
  <td colspan="5" width="580" align="left">
    <hr width="580" align="left">
  </td>
</tr>
<tr>
  <td align="right" colspan="3" valign="top">
    <font class="subtotal">Subtotal:</font>
  </td>
  <td align="right" valign="top" width="120">
    <font class="product">&nbsp;&nbsp;<%=orderBean.getFormattedTotalProductPrice()%></font>
  </td>
  <td align="left" valign="top">
	<table cellpadding="2" cellspacing="0" border="0">
	  <tr>
		<td align="center" valign="middle" nowrap>&nbsp; </td>
	  </tr>
	</table>
  </td>
</tr>
<tr>
  <td colspan="5">
    <font class="text">&nbsp;</font>
  </td>
</tr>
<tr>
<td align="left" colspan="5" valign="middle" class="categoryspace">
  <table cellpadding="3" cellspacing="0" border="0" align="center">
	<tr> 
	  <td align="left" valign="middle" width="330"> 
		<div align="center">
			<a href="javascript:UpdateTotal_Checkout(document.ShopCartForm)">
				<font class="strongtext">&nbsp;Click here to Checkout</font>
			</a> 
		</div>
	  </td>
	</tr>
  </table>
  <br><br>
</td>
</form>
</table>
</center>
</body>
</html>

